io.agora.rtc

## Enum Constants.AecFilterLength

- java.lang.Object
- - java.lang.Enum<Constants.AecFilterLength>
  - - io.agora.rtc.Constants.AecFilterLength

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Constants.AecFilterLength>
  Enclosing class:
    Constants

      public static enum Constants.AecFilterLength
      extends java.lang.Enum<Constants.AecFilterLength>

  The Aec linear filter length.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `LONG` LONG: 200ms for reverberant environment.
    `LONGEST` LONGEST: 480ms for highly reverberant environment.
    `NORMAL` NORMAL: (Default) 48ms for normal environment.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private int` | `value` Integer value of the AEC filter length

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Constants.AecFilterLength` | `fromInt(int value)` Converts an integer value to its corresponding AecFilterLength enum constant.
    `int` | `getValue()` Gets the integer value of the AecFilterLength.
    `static Constants.AecFilterLength` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Constants.AecFilterLength[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NORMAL

          public static final Constants.AecFilterLength NORMAL

      NORMAL: (Default) 48ms for normal environment.

    - #### LONG

          public static final Constants.AecFilterLength LONG

      LONG: 200ms for reverberant environment.

    - #### LONGEST

          public static final Constants.AecFilterLength LONGEST

      LONGEST: 480ms for highly reverberant environment.

  - ### Field Detail

    - #### value

          private final int value

      Integer value of the AEC filter length

  - ### Method Detail

    - #### values

          public static Constants.AecFilterLength[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Constants.AecFilterLength c : Constants.AecFilterLength.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Constants.AecFilterLength valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public int getValue()

      Gets the integer value of the AecFilterLength.
      Returns:
        The integer value.

    - #### fromInt

          public static Constants.AecFilterLength fromInt(int value)

      Converts an integer value to its corresponding AecFilterLength enum constant.
      Parameters:
        `value` - The integer value.
      Returns:
        The corresponding AecFilterLength, or null if the value is not found.